<?php
namespace Bushelpowered\Api\Iam\Access\Common\V1;
        
class AccountRef implements \Bushelpowered\Api\Iam\Access\Common\V1\HasTenantId
{
    /** @var string $accountId The id of the account.*/
    public string $accountId;
    /** @var string $tenantId The id of the tenant.*/
    public string $tenantId;

    /**
     * @param  string  $accountId The id of the account.
     * @param  string  $tenantId The id of the tenant.
     */
    public function __construct(string $accountId, string $tenantId)
    {
        $this->accountId = $accountId;
        $this->tenantId = $tenantId;
    }
    
    /**
     * @return string The id of the tenant.
     */
    public function getTenantId(): string
    {
        return $this->tenantId;
    }
}